CKEDITOR.plugins.add( 'mklb2',
{
	init: function( editor )
	{
		editor.addCommand( 'mklb2Command',
		{
			exec : function( editor )
			{
				var selected = '';
				if  (editor.getSelection().getSelectedText()) {
					selected = editor.getSelection().getSelectedText();
				} else {
					alert('رجاء تحديد النص اولا');
					return;
				}
				editor.insertHtml( "[mklb2]" + selected +"[/mklb2]" );
			}
		});
		editor.ui.addButton( 'mklb2',
		{
			label: 'إدراج نص مقلوب',
			command: 'mklb2Command',
			icon: this.path + 'mklb2.gif'
		});
	}
});